<nz-layout class="app-layout">
  <nz-sider [(nzCollapsed)]="isCollapsed"
            [nzTrigger]="null"
            class="menu-sidebar"
            nzBreakpoint="md"
            nzCollapsible
            nzWidth="256px">
    <div class="sidebar-logo">
      <a routerLink="/" class="main-logo">
        <img alt="logo" src="assets/images/logo/Barnabe.io_logotype.svg">
        Barnabé
      </a>
    </div>
    <ul [nzInlineCollapsed]="isCollapsed" nz-menu nzMode="inline" nzTheme="dark">
      <ng-container *ngIf="user?.isAdmin">
        <li routerLink="/admin/users" nz-menu-item>
          <i nz-icon nzType="team"></i>
          <span>Liste des utilisateurs</span>
        </li>
        <li routerLink="/admin/organizations" nz-menu-item>
          <i nz-icon nzType="bank"></i>
          <span>Partenaires</span>
        </li>
      </ng-container>
      <ng-container *ngIf="user?.isManager">
        <li routerLink="/manager/my-organizations" nz-menu-item>
          <i nz-icon nzType="audit"></i>
          <span *ngIf="user?.isManager && !user?.isAdmin">Mes organisations</span>
          <span *ngIf="(user?.isManager && user?.isAdmin) || (!user?.isManager && user?.isAdmin)">Toutes les organisations</span>
        </li>
        <li routerLink="/manager/manager-events" nz-menu-item>
          <i nz-icon nzType="audit"></i>
          <span>Mes animations</span>
        </li>
      </ng-container>
      <ng-container *ngIf="user?.isUser">
        <li routerLink="/patient/register" nz-menu-item>
          <i nz-icon nzType="idcard"></i>
          <span>Mes abonnements</span>
        </li>
        <li routerLink="/patient/events-list" nz-menu-item>
          <i nz-icon nzType="calendar"></i>
          <span>Mes événements</span>
        </li>
      </ng-container>
      <li routerLink="/profile" nz-menu-item>
        <i nz-icon nzType="user"></i>
        <span>Mon profil</span>
      </li>
      <li (click)="signOut()" nz-menu-item>
        <i nz-icon nzType="poweroff"></i>
        <span>Me déconnecter</span>
      </li>
    </ul>
  </nz-sider>
  <nz-layout>
    <nz-header>
      <div class="app-header">
        <span (click)="isCollapsed = !isCollapsed" class="header-trigger">
            <i [nzType]="isCollapsed ? 'menu-unfold' : 'menu-fold'"
               class="trigger"
               nz-icon
            ></i>
        </span>
        <span class="role-title"> {{user | userName}} | {{user | userRoles}}</span>
      </div>
    </nz-header>
    <nz-content class="inner-layout">
      <nz-breadcrumb nz-page-header-breadcrumb *ngIf="breadCrumbs">
        <nz-breadcrumb-item *ngFor="let bread of breadCrumbs">{{bread}}</nz-breadcrumb-item>
      </nz-breadcrumb>
      <div class="inner-content">
        <ng-container *ngIf="alerts?.length">
          <nz-alert *ngFor="let alert of alerts"
                    [nzType]="alert.type" [nzMessage]="alert.message"
                    [nzDescription]="alert.description" [nzShowIcon]="alert.showIcon"></nz-alert>
        </ng-container>
        <nz-page-header class="site-page-header">
          <nz-avatar
            *ngIf="initials || avatar"
            nz-page-header-avatar nzSize="large" [ngStyle]="{ 'background-color': '#ffbf00' }" [nzSrc]="avatar"
            [nzText]="initials"></nz-avatar>
          <nz-page-header-title *ngIf="title">{{title}}</nz-page-header-title>
          <nz-page-header-subtitle *ngIf="subTitle">{{subTitle}}</nz-page-header-subtitle>
          <nz-page-header-tags *ngIf="tag">
            <nz-tag [nzColor]="tag.color">{{tag.name}}</nz-tag>
          </nz-page-header-tags>
        </nz-page-header>
        <nz-page-header-content>
          <ng-content></ng-content>
        </nz-page-header-content>
      </div>
    </nz-content>
  </nz-layout>
</nz-layout>
